MindmapDiagramEditor

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.editor
Interface MindmapDiagramEditor

    com.change_vision.jude.api.inf.editor.MindmapDiagramEditor

All Implemented Interfaces:
  DiagramEditor

public MindmapDiagramEditor
extends DiagramEditor

Interface to edit (create/delete) Mind Map. Throws Exception when invalid models are generated.

Method Summary
`abstract ITopicPresentation` | `addChild(ITopicPresentation parent, String label)` Create a child topic to a parent topic.
`abstract ITopicPresentation` | `addChild(ITopicPresentation parent, String label, int index)` Create a child topic to a parent topic by specifying an index.
`abstract IMindMapDiagram` | `createMindmapDiagram(INamedElement parent, String rootTopicLabel)` Create a mind map in a parent package.
`abstract void` | `delete(ITopicPresentation element)` Delete a topic.
`abstract void` | `deleteChildren(ITopicPresentation parent)` Delete all child topics of the parent.
`abstract void` | `moveTo(ITopicPresentation topic, ITopicPresentation parent)` Move a topic to a parent topic.
`abstract void` | `moveTo(ITopicPresentation topic, ITopicPresentation parent, int index)` Move a topic to a parent topic by specifying an index.

Methods inherited from class com.change_vision.jude.api.inf.editor.DiagramEditor
`delete`

Method Detail

### createMindmapDiagram

    public abstract IMindMapDiagram createMindmapDiagram(INamedElement parent,
                                                         String rootTopicLabel)

  Create a mind map in a parent package.

  Parameters:
    `parent` - Parent Package
    `rootTopicLabel` - Mind Map Name (Root Topic Name)
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly
              NO_NAME_ERROR_KEY - if the name is empty.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### addChild

    public abstract ITopicPresentation addChild(ITopicPresentation parent,
                                                String label)

  Create a child topic to a parent topic.

  Parameters:
    `parent` - Parent Topic
    `label` - Child Topic Name
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### addChild

    public abstract ITopicPresentation addChild(ITopicPresentation parent,
                                                String label,
                                                int index)

  Create a child topic to a parent topic by specifying an index.

  Parameters:
    `parent` - Parent Topic
    `label` - Child Topic Name
    `index` - Index of Child Topic
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### moveTo

    public abstract void moveTo(ITopicPresentation topic,
                                ITopicPresentation parent)

  Move a topic to a parent topic.

  Parameters:
    `parent` - Parent Topic
    `topic` - Child Topic to be moved
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly
              INVALID_MINDMAP_TOPIC_MOVE_ERROR_KEY - if a topic is moved to another topic in a different diagram or to itself.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### moveTo

    public abstract void moveTo(ITopicPresentation topic,
                                ITopicPresentation parent,
                                int index)

  Move a topic to a parent topic by specifying an index.

  Parameters:
    `parent` - Parent Topic
    `topic` - Child Topic to be moved
    `index` - Index of Child Topic
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly
              INVALID_MINDMAP_TOPIC_MOVE_ERROR_KEY - if a topic is moved to another topic in a different diagram or to itself.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### deleteChildren

    public abstract void deleteChildren(ITopicPresentation parent)

  Delete all child topics of the parent.

  Parameters:
    `parent` - Parent Topic
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### delete

    public abstract void delete(ITopicPresentation element)

  Delete a topic.

  Parameters:
    `element` - Topic to be deleted
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly
              MINDMAP_ROOT_TOPIC_DELETE_ERROR_KEY - if a topic to be deleted is a root topic.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD